methods: [post]

fields:

  event{name_event}:
    required:
      msg:              Please enter a name
  
  event{register_at}:
    required:
      msg:              Please enter a registering limit date
    myDateValidator:
      with_culture:     false
      date_error:       The register date format looks invalid
      allow_past:       no
      past_error:       Past dates are not allowed
    sfRegexValidator:
      match:            yes
      match_error:      The opening date format is invalid (yyyy-mm-dd)
      pattern:          /^\d{4}-\d\d-\d\d$/	  
  
  event{begin_at}:
    required:
      msg:              Please enter a starting date
    myDateValidator:
      with_culture:     false
      date_error:       The starting date format looks invalid
      compare:          "event[finsih_at]"
      operator:         ">="
      compare_error:    The start date is not prior to end date
      allow_past:       no
      past_error:       Past dates are not allowed
    sfRegexValidator:
      match:            yes
      match_error:      The starting date format is invalid (yyyy-mm-dd)
      pattern:          /^\d{4}-\d\d-\d\d$/	  
  
	  
  event{finish_at}:
    required:
      msg:              Please enter an end date
    myDateValidator:
      with_culture:     false
      date_error:       The end date format looks invalid
      allow_past:       no
      past_error:       Past dates are not allowed
    sfRegexValidator:
      match:            yes
      match_error:      The starting date format is invalid (yyyy-mm-dd)
      pattern:          /^\d{4}-\d\d-\d\d$/	  
	  
  event{place_id}:
    required:
      msg:              Please enter a place
  
  event{register_code}:
    sfRegexValidator:
      match:           yes
      match_error:     Your code should contain only alphanumeric, dash, dot or underscore characters, and begin with a letter.
      pattern:         "/^[a-zA-Z]([a-zA-Z0-9._-]+)$/"
    sfPropelUniqueValidator:
      class:           BaseEvent
      column:          register_code
      unique_error:    This code is not available
